-- Request ID: AD01SUN040.Start
INSERT INTO POPHELP (
	FIELD_NAME     ,
	MOD_NAME       ,
	SQL_STR        ,
	MSG_TITLE     , 
	CHG_DATE   ,    
	CHG_USER   ,    
	CHG_TERM    ,   
	DEFAULT_COL )
VALUES (
	'SEPARATION_MODE' , 
	'X' , 
	'SELECT FLD_VALUE AS SEP_MODE, DESCR AS DESCRIPTION FROM GENCODES WHERE FLD_NAME = ''SEPARATION_MODE'' AND MOD_NAME IN (''X'' , ''W_EMP_SEPARATION'')' , 
	'Separation Mode' , 
	FN_SYSDATE() , 
	'PIYUSH' , 
	'BASE' , 
	1 );

INSERT INTO MESSAGES (
	MSG_NO         ,
	MSG_STR        ,
	MSG_DESCR    ,  
	MSG_TYPE       ,
	MSG_OPT        ,
	CHG_DATE       ,
	CHG_USER       ,
	CHG_TERM )
VALUES (
	'VTSEPMOD01' , 
	'Invalid Separation Mode!' , 
	'Separation mode can not be null or empty' , 
	'E' , 
	'Y' , 
	fn_sysdate() , 
	'PIYUSH' , 
	'BASE') ;

INSERT INTO MESSAGES (
	MSG_NO         ,
	MSG_STR        ,
	MSG_DESCR    ,  
	MSG_TYPE       ,
	MSG_OPT        ,
	CHG_DATE       ,
	CHG_USER       ,
	CHG_TERM )
VALUES (
	'VTSEPMOD02' , 
	'Invalid Separation Mode!' , 
	'Separation mode not defined in generalized master. First define in generalized master' , 
	'E' , 
	'Y' , 
	fn_sysdate() , 
	'PIYUSH' , 
	'BASE') ;

INSERT INTO GENMST(
	FLD_NAME , 
	MOD_NAME , 
	DESCR , 
	ERROR_CD , 
	BLANK_OPT , 
	FLD_TYPE , 
	VAL_TYPE , 
	CHG_DATE , 
	CHG_USER , 
	CHG_TERM ) 
VALUES (
	'SEPARATION_MODE' , 
	'X' , 
	'Separation Mode' , 
	'VTSEPMOD02' , 
	'N' , 
	'C' , 
	'M' ,
	FN_SYSDATE() , 
	'PIYUSH' , 
	'BASE') ;
INSERT INTO GENCODES(
	FLD_NAME ,
	MOD_NAME ,
	FLD_VALUE ,
	DESCR , 
	SH_DESCR , 
	CHG_DATE , 
	CHG_USER , 
	CHG_TERM , 
	ACTIVE)
VALUES(
	'SEPARATION_MODE' , 
	'X' , 
	'R' , 
	'Resigned' , 
	'Resigned' , 
	FN_SYSDATE() , 
	'PIYUSH',
	'BASE',
	'Y');

INSERT INTO GENCODES(
	FLD_NAME ,
	MOD_NAME ,
	FLD_VALUE ,
	DESCR , 
	SH_DESCR , 
	CHG_DATE , 
	CHG_USER , 
	CHG_TERM , 
	ACTIVE)
VALUES(
	'SEPARATION_MODE' , 
	'X' , 
	'E' , 
	'Retired' , 
	'Retired' , 
	FN_SYSDATE() , 
	'PIYUSH',
	'BASE',
	'Y');

INSERT INTO GENCODES(
	FLD_NAME ,
	MOD_NAME ,
	FLD_VALUE ,
	DESCR , 
	SH_DESCR , 
	CHG_DATE , 
	CHG_USER , 
	CHG_TERM , 
	ACTIVE)
VALUES(
	'SEPARATION_MODE' , 
	'X' , 
	'T' , 
	'Terminated' , 
	'Terminated' , 
	FN_SYSDATE() , 
	'PIYUSH',
	'BASE',
	'Y');

INSERT INTO GENCODES(
	FLD_NAME ,
	MOD_NAME ,
	FLD_VALUE ,
	DESCR , 
	SH_DESCR , 
	CHG_DATE , 
	CHG_USER , 
	CHG_TERM , 
	ACTIVE)
VALUES(
	'SEPARATION_MODE' , 
	'X' , 
	'I' , 
	'Inter Co. Transfer' , 
	'Inter Co. Transfer' , 
	FN_SYSDATE() , 
	'PIYUSH',
	'BASE',
	'Y');

INSERT INTO GENCODES(
	FLD_NAME ,
	MOD_NAME ,
	FLD_VALUE ,
	DESCR , 
	SH_DESCR , 
	CHG_DATE , 
	CHG_USER , 
	CHG_TERM , 
	ACTIVE)
VALUES(
	'SEPARATION_MODE' , 
	'X' , 
	'D' , 
	'Death' , 
	'Death' , 
	FN_SYSDATE() , 
	'PIYUSH',
	'BASE',
	'Y');

COMMIT;

-- Request ID: AD01SUN040.End

